#!/bin/sh
#
# Pulls sources for eclipse-mylyn-docs SRPM
#  - org.eclipse.mylyn.wikitext-feature
#  - org.eclipse.mylyn.htmltext-feature
# 
RELEASE_TAG="R_3_5_1"
OUTPUT_TAR=eclipse-mylyn-docs-$RELEASE_TAG-fetched-src.tar

rm -rf org.eclipse.mylyn.docs
git clone git://git.eclipse.org/gitroot/mylyn/org.eclipse.mylyn.docs.git \
  org.eclipse.mylyn.docs
pushd org.eclipse.mylyn.docs
git archive --format=tar -o $OUTPUT_TAR --prefix="org.eclipse.mylyn.docs/" \
  refs/tags/$RELEASE_TAG
bzip2 $OUTPUT_TAR
mv $OUTPUT_TAR.bz2 ../
popd
